# foobar

- [foobar](#foobar)
  - [Setup foobar Project](#setup-foobar-project)
  - [Service Variables](#service-variables)
  - [Install foobar](#install-foobar)
  - [Upgrade foobar](#upgrade-foobar)
  - [Backup foobar](#backup-foobar)
  - [Restore foobar](#restore-foobar)
  - [Uninstall foobar](#uninstall-foobar)

## Setup foobar Project

1. Copy and rename this folder to active/systemd_foobar
2. Find and replace foobar with the name of the service
3. Write the foobar.service spec
4. (OPTIONAL) Write the foobar.timer spec
5. (OPTIONAL) Write the foobar.sh.j2 template
6. Write the install_foobar.yaml ansible template
7. Install the service via ansible
8. Expose the service
9. Install a backup service and timer

## Service Variables

1. For most vars,populate `vars.yaml`
2. For secret vars, create a new folder called `secrets/` and put a `vars.yaml` there.

## Install foobar

```bash
# Run the playbook
ansible-playbook \
-i ansible/inventory.yaml \
-l podman \
active/systemd_foobar/install_foobar.yaml \
-e "@active/systemd_foobar/vars.yaml" \
-e "@active/systemd_foobar/secrets/vars.yaml"
```

## Upgrade foobar

## Backup foobar

Follow the [Borg Backup instructions](/active/systemd_borg/borg.md#set-up-a-client-for-backup)

## Restore foobar

## Uninstall foobar
